function [ vahoveKoeficienty ] = vypVahKoef( delkaSig, posunOkna, pocetKanalu, velOkna, zacDir, velDir )
%funkce pro výpočet váhových koeficientů

vahoveKoeficienty = ones((delkaSig/posunOkna)*pocetKanalu+10*velOkna,1);

konDir = zacDir+velDir-1;

for i=1:(delkaSig/posunOkna)
    zacRedOkna = (i-1)*posunOkna+1-velOkna/2;
    if zacRedOkna+velOkna-1>=zacDir
        
        break
    end
    nebudouRed = i-1;
end

for i=1:(delkaSig/posunOkna)
    zacNeRedOkna = (i-1)*posunOkna+1-velOkna/2;
    if zacNeRedOkna>konDir
        %zacNeRedOkna = zacNeRedOkna;
        break
    end
    budouRed_pomocne = i-1;
end

for i = (nebudouRed+1):budouRed_pomocne
    atomNeRedZac = zeros((i*posunOkna-velOkna/2),1);
    okno = hann(velOkna+1);
    atomNeRedKon = zeros((delkaSig-velOkna-length(atomNeRedZac)),1);
    atom = [atomNeRedZac;okno(1:(velOkna));atomNeRedKon];
    
    atomr = atom;
    atomr(zacDir:konDir) = 0;
    
    vahoveKoeficienty((i*pocetKanalu+1):((i+1)*pocetKanalu)) = norm(atom)/norm(atomr);
    
end

